Package org.apache.cxf.security

# Interface SecurityContext

All Known Subinterfaces:
  `LoginSecurityContext`

All Known Implementing Classes:
  `DefaultSecurityContext`, `RolePrefixSecurityContextImpl`, `SimpleSecurityContext`

public interface SecurityContext
Provides basic security information about the current message exchange

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Principal`
  `getUserPrincipal()`
  `boolean`
  `isUserInRole(String role)`

- ## Method Details

  - ### getUserPrincipal

    Principal getUserPrincipal()

  - ### isUserInRole

    boolean isUserInRole(String role)